#!/bin/sh
 
cd ${0%${0##*/}}. 
 
if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

BGBILLING_DIR=.
CLASSPATH=${BGBILLING_DIR}:${BGBILLING_DIR}/lib/*

# update
if [ -d ${BGBILLING_DIR}/lib.update ];
then
    mv -f ${BGBILLING_DIR}/lib.update/* ${BGBILLING_DIR}/lib
    rm -fr ${BGBILLING_DIR}/lib.update
fi

if [ ! -d ${BGBILLING_DIR}/lib/endorsed ]; then
	mkdir ${BGBILLING_DIR}/lib/endorsed
	cp ${BGBILLING_DIR}/lib/jaxws-api.jar ${BGBILLING_DIR}/lib/endorsed
fi

${JAVA_HOME}/bin/java -Djava.endorsed.dirs=./lib/endorsed -Dupdate.folder=${BGBILLING_DIR}/lib.update -Djava.net.preferIPv4Stack=true -Dbgbilling.client.os=linux -Dsun.net.client.defaultConnectTimeout=1000 -Djavax.net.ssl.trustStore=.keystore -Xmx256m  -Duser.language=ru -Duser.region=RU -cp ${CLASSPATH} bitel.billing.ShellFrame&
